Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# ipe::PsWriter Class Reference

Create Postscript file. More...

`#include <ipepswriter.h>`

List of all members.

## Public Member Functions

- PsWriter (TellStream &stream, const Document *doc, bool noColor)
- ~PsWriter ()
- bool createHeader (int pno=0, int vno=0)
- void createPageView (int pno=0, int vno=0)
- void createXml (int compressLevel)
- void createTrailer ()

## Detailed Description

Create Postscript file.

This class is responsible for the creation of a Postscript file from the data. You have to create an PsWriter first, providing a stream that has been opened for (binary) writing and is empty.

## Constructor & Destructor Documentation

PsWriter::PsWriter | ( | TellStream & | stream,
|  | const Document * | doc,
|  | bool | noColor
| ) |  |

Create Postscript writer operating on this (open and empty) file.

PsWriter::~PsWriter | ( |  | ) |

Destructor.

## Member Function Documentation

bool PsWriter::createHeader | ( | int | pno = `0`,
|  | int | view = `0`
| ) |  |

Create the document header and prolog (the resources).

Embeds no fonts if `pool` is 0. Returns false if a TrueType font is present.

void PsWriter::createPageView | ( | int | pno = `0`,
|  | int | vno = `0`
| ) |  |

Create contents and page stream for this view.

Background is not shown.

void PsWriter::createXml | ( | int | compressLevel | ) |

Save information in XML format.

void PsWriter::createTrailer | ( |  | ) |

Create the trailer of the Postscript file.

The documentation for this class was generated from the following files:

- ipepswriter.h
- ipepswriter.cpp